Skip to content
Changelog

Report a bug

Baserow integration: operations for AI agents

Baserow connects to Type.com as an integration. This page lists the 429 operations documented for Claude and Codex in Type.com: 167 read, 204 write, 58 destructive.

About Baserow

Baserow is an open-source database tool that lets teams build no-code data applications, collaborate on records, and integrate with other services for data management

Categories: Developer Tools & IT

How to connect Baserow to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

429 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

429 operations listed.

Health

  • Read

    Celery queue size check

    Health check endpoint to check if the the celery and/or export celery queue has exceeded the maximum healthy size. Responds with 200 if there there are less than 10 in all queues provided. Otherwise responds with a 503.

  • Read

    Full health check

    Runs a full health check testing as many services and systems as possible. These health checks can be expensive operations such as writing files to storage etc.

  • Write

    Email tester

    Sends a test email to the provided email address. Useful for testing Baserow's email configuration as errors are clearly returned.

Abuse reports

  • Write

    Create abuse report

    Reports a publicly shared resource, like a shared view or form, for abuse. This endpoint can be called by anonymous visitors.

Audit log

  • Read

    Audit log list

    Lists all audit log entries for the given workspace id. This is a enterprise feature.

  • Read

    Audit log action types

    List all distinct action types related to an audit log entry. This is a enterprise feature.

  • Read

    Audit log actors

    List users and agents available as audit log actor filters. This is an enterprise feature.

  • Read

    Audit log list 2

    Lists all audit log entries for the given workspace id. This is a enterprise feature.

  • Read

    Audit log action types 2

    List all distinct action types related to an audit log entry. This is a enterprise feature.

  • Read

    Audit log actors 2

    List users and agents available as audit log actor filters. This is an enterprise feature.

  • Write

    Async audit log export

    Creates a job to export the filtered audit log to a CSV file. This is a enterprise feature.

  • Write

    Async audit log export 2

    Creates a job to export the filtered audit log to a CSV file. This is a enterprise feature.

Auth

  • Read

    List auth providers

    List all the available authentication providers.

  • Read

    Get auth provider

    Get an authentication provider.

  • Read

    List auth providers login options

    Lists the available login options for the configured authentication providers.

  • Read

    Oauth provider login callback

    Processes callback from OAuth2 provider and logs the user in if successful.

  • Read

    Oauth provider login redirect

    Redirects to the OAuth2 provider's authentication URL based on the provided auth provider's id.

  • Read

    Auth provider saml sp login

    This is the endpoint that is called when the user wants to initiate a SSO SAML login from Baserow (the service provider). The user will be redirected to the SAML identity provider (IdP) where the user can authenticate.

  • Read

    Auth provider login url

    Return the correct redirecturl to initiate the SSO SAML login. It needs an email address if multiple SAML providers are configured otherwise the only configured SAML provider signup URL will be returned.

  • Read

    Two factor auth configuration

    Returns two-factor auth configuration for the authenticated user.

  • Write

    Create auth provider

    Creates a new authentication provider. This can be used to enable authentication with a third party service like Google or Facebook.

  • Write

    Update auth provider

    Updates a new authentication provider. This can be used to enable authentication with a third party service like Google or Facebook.

  • Write

    Auth provider saml acs url

    Complete the SAML authentication flow by validating the SAML response. Sign in the user if already exists in Baserow or create a new one otherwise. Once authenticated, the user will be redirected to the original URL they were trying to access.

  • Write

    Configure two factor auth

    Configures two-factor authentication for the authenticated user.

  • Write

    Disable two factor auth

    Disables two-factor authentication for the authenticated user.

  • Write

    Verify totp auth

    Verifies TOTP two-factor authentication

  • Destructive

    Delete auth provider

    Delete an authentication provider.

Admin

  • Read

    Admin dashboard

    Returns the new and active users for the last 24 hours, 7 days and 30 days. The previous values are the values of the period before, so for example previousnewuserslast24hours are the new users that signed up from 48 to 24 hours ago.

  • Read

    Admin list users

    Returns all users with detailed information on each user, if the requesting user is staff.

  • Read

    Admin list workspaces

    Returns all workspaces with detailed information on each workspace, if the requesting user is staff.

  • Read

    Admin list workspaces as options

    Lists all workspaces. This endpoint is intended for admin-level features that need a workspace dropdown.

  • Read

    Admin list database views

    Returns all database views in the instance with information about the table, database and workspace they belong to, if the requesting user is staff. This can for example be used to find and intervene with publicly shared views that are being abused.

  • Read

    Admin licenses

    Lists all the valid licenses that are registered to this instance. A premium license can be used to unlock the premium features for a fixed amount of users. An enterprise license can similarly be used to unlock enterprise features.

  • Read

    Admin get license

    Responds with detailed information about the license related to the provided parameter.

  • Read

    Admin license check

    This endpoint checks with the authority if the license needs to be updated. It also checks if the license is operating within its limits and might take action on that.

  • Read

    Admin license lookup users

    This endpoint can be used to lookup users that can be added to a license. Users that are already in the license are not returned here. Optionally a search query parameter can be provided to filter the results.

  • Write

    Admin create user

    Creates and returns a new user if the requesting user is staff. This works even if new signups are disabled.

  • Write

    Admin edit user

    Updates specified user attributes and returns the updated user if the requesting user is staff. You cannot update yourself to no longer be an admin or active.

  • Write

    Admin impersonate user

    This endpoint allows staff to impersonate another user by requesting a JWT token and user object. The requesting user must have staff access in order to do this. It's not possible to impersonate a superuser, staff or deactivated user.

  • Write

    Admin update database view

    Updates whether the specified view is publicly shared, if the requesting user is staff. This works even if the requesting user is not a member of the workspace the view belongs to, and can for example be used to unshare a publicly shared view that's being abused.

  • Write

    Admin rotate database view slug

    Rotates the slug of the specified view, permanently invalidating the current public URL, if the requesting user is staff. This works even if the requesting user is not a member of the workspace the view belongs to.

  • Write

    Admin register license

    Registers a new license. After registering you can assign users to the license that will be able to use the license's features while the license is active.

  • Write

    Admin add user to license

    Adds the user related to the provided parameter and to the license related to the parameter. This only happens if there are enough seats left on the license and if the user is not already on the license.

  • Write

    Admin fill remaining seats of license

    Fills the remaining empty seats of the license with the first users that are found.

  • Write

    Admin remove all users from license

    Removes all the users that are on the license. This will empty all the seats.

  • Destructive

    Admin delete user

    Deletes the specified user, if the requesting user has admin permissions. You cannot delete yourself.

  • Destructive

    Admin disable user two factor auth

    Removes the configured two-factor authentication of the specified user, if the requesting user is staff. This can be used to restore access for users that lost their two-factor device and backup codes.

  • Destructive

    Admin delete workspace

    Deletes the specified workspace and the applications inside that workspace, if the requesting user is staff.

  • Destructive

    Admin remove license

    Removes the existing license related to the provided parameter. If the license is active, then all the users that are using the license will lose access to the features granted by that license.

  • Destructive

    Admin remove user from license

    Removes the user related to the provided parameter and to the license related to the parameter. This only happens if the user is on the license, otherwise nothing will happen.

Admin data scanner

  • Read

    Admin data scanner list results

    Lists all data scan results across all scans. Results represent individual matches found in database fields during scan execution. Can be filtered by scanid and searched by matched value. Enterprise feature.

  • Read

    Admin data scanner list scans

    Lists all data scans configured for this Baserow instance. Data scans allow administrators to search the entire instance for sensitive data matching a pattern, a list of uploaded values, or values from another Baserow table. Enterprise feature.

  • Read

    Admin data scanner get scan

    Returns a single data scan configuration. Enterprise feature.

  • Read

    Admin data scanner workspace structure

    Returns the database/table/field structure of a workspace for use in data scan configuration. Only text-compatible fields are included. Enterprise feature.

  • Write

    Admin data scanner export results

    Creates a job to export data scan results to CSV. The exported file includes scan name, workspace, database, table, field, row ID, matched value, and timestamps for each result. Enterprise feature.

  • Write

    Admin data scanner create scan

    Creates a new data scan. A data scan searches the Baserow instance for sensitive data matching a pattern (e.g. credit card numbers), a list of uploaded values, or values sourced from another Baserow table. Enterprise feature.

  • Write

    Admin data scanner update scan

    Updates a data scan configuration. When the scan type, pattern, or list items change, stale results are automatically cleaned up. Enterprise feature.

  • Write

    Admin data scanner trigger scan

    Triggers an immediate run of the given data scan. The scan executes asynchronously and searches the configured workspaces for matches. Enterprise feature.

  • Destructive

    Admin data scanner delete result

    Deletes (resolves) a single data scan result, marking it as reviewed. Enterprise feature.

  • Destructive

    Admin data scanner delete scan

    Deletes a data scan and all of its results. Enterprise feature.

Agents

  • Read

    List workspace agents

    Lists the agents in a workspace.

  • Write

    Update agent

    Updates an existing agent.

  • Write

    Create workspace agent

    Creates a new agent in a workspace.

  • Destructive

    Delete agent

    Deletes an existing agent.

AI providers

  • Read

    List ai providers

    Pins authenticated realtime recovery reads to the primary database. Realtime refresh markers are emitted after a primary-database snapshot. Reading their replacement data from a lagging replica could otherwise restore stale state in the client.

  • Read

    List ai provider feature settings

    Pins authenticated realtime recovery reads to the primary database. Realtime refresh markers are emitted after a primary-database snapshot. Reading their replacement data from a lagging replica could otherwise restore stale state in the client.

  • Read

    Get ai provider model usage

    GET /api/ai-providers/models/{model_id}/usage/

  • Read

    Discover ai provider models

    GET /api/ai-providers/models/discover/

  • Read

    List ai provider types

    GET /api/ai-providers/types/

  • Write

    Create ai provider

    Pins authenticated realtime recovery reads to the primary database. Realtime refresh markers are emitted after a primary-database snapshot. Reading their replacement data from a lagging replica could otherwise restore stale state in the client.

  • Write

    Update ai provider

    PATCH /api/ai-providers/{provider_id}/

  • Write

    Create ai provider model

    POST /api/ai-providers/{provider_id}/models/

  • Write

    Update ai provider model

    PATCH /api/ai-providers/models/{model_id}/

  • Write

    Test ai provider models

    POST /api/ai-providers/models/test/

  • Destructive

    Delete ai provider

    DELETE /api/ai-providers/{provider_id}/

  • Destructive

    Update ai provider feature setting

    PUT /api/ai-providers/features/{feature_type}/

  • Destructive

    Delete ai provider model

    DELETE /api/ai-providers/models/{model_id}/

Integrations

  • Read

    List application integrations

    Lists all the integrations of the application related to the provided parameter if the user has access to the related application's workspace. If the workspace is related to a template, then this endpoint will be publicly accessible.

  • Write

    Create application integration

    Creates a new integration

  • Write

    Update application integration

    Updates an existing integration.

  • Write

    Move application integration

    Moves the integration in the application before another integration or at the end of the application if no before integration is given. The integrations must belong to the same application.

  • Destructive

    Delete application integration

    Deletes the integration related by the given id.

User sources

  • Read

    List application user source users

    List per user sources the first 5 users available.

  • Read

    List application user sources

    Lists all the usersources of the application related to the provided parameter if the user has access to the related application's workspace. If the workspace is related to a template, then this endpoint will be publicly accessible.

  • Read

    App auth oidc login callback

    Processes callback from OAuth2 provider and logs the user in if successful.

  • Read

    App auth oidc login redirect

    Redirects to the OAuth2 provider's authentication URL based on the provided user source uid and issuer.

  • Read

    App auth provider saml sp login

    This is the endpoint that is called when the user wants to initiate a SSO SAML login from Baserow (the service provider). The user will be redirected to the SAML identity provider (IdP) where the user can authenticate.

  • Write

    Create application user source

    Creates a new usersource

  • Write

    User source token refresh

    Generate a new accesstoken that can be used to continue operating on Baserow with a user source user starting from a valid refresh token.

  • Write

    User source token blacklist

    Blacklists the provided user source token. This can be used the sign the user off.

  • Write

    Update application user source

    Updates an existing usersource.

  • Write

    User source force token auth

    Force authenticates an existing user based on their ID. If successful, an access token and a refresh token will be returned.

  • Write

    Move application user source

    Moves the usersource in the application before another usersource or at the end of the application if no before usersource is given. The usersources must belong to the same application.

  • Write

    User source token auth

    Authenticates an existing user against a user source based on their credentials. If successful, an access token and a refresh token will be returned.

  • Write

    Auth provider saml acs url 2

    Complete the SAML authentication flow by validating the SAML response. Sign in the user if already exists in the user source or create a new one otherwise.Once authenticated, the user will be redirected to the original URL they were trying to access.

  • Destructive

    Delete application user source

    Deletes the usersource related by the given id.

User source roles

  • Read

    List application user source roles

    Lists all the roles of the application related to the provided parameter if the user has access to the related application's workspace. If the workspace is related to a template, then this endpoint will be publicly accessible.

Applications

  • Read

    List all applications

    Lists all the applications that the user has access to. The properties that belong to the application can differ per type. An application always belongs to a single workspace. All the applications of the workspaces that the user has access to are going to be listed here.

  • Read

    Workspace get application

    Returns the requested application if the authorized user is in the application's workspace. The properties that belong to the application can differ per type.

  • Read

    Workspace list applications

    Lists all the applications of the workspace related to the provided workspaceid parameter if the authorized user is in that workspace. If theworkspace is related to a template, then this endpoint will be publicly accessible.

  • Write

    Workspace update application

    Updates the existing application related to the provided applicationid param if the authorized user is in the application's workspace. It is not possible to change the type, but properties like the name can be changed.

  • Write

    Duplicate application async

    Duplicate an application if the authorized user is in the application's workspace. All the related children are also going to be duplicated. For example in case of a database application all the underlying tables, fields, views and rows are going to be duplicated.

  • Write

    Workspace create application

    Creates a new application based on the provided type. The newly created application is going to be added to the workspace related to the provided workspaceid parameter. If the authorized user does not belong to the workspace an error will be returned.

  • Write

    Workspace order applications

    Changes the order of the provided application ids to the matching position that the id has in the list. If the authorized user does not belong to the workspace it will be ignored. The order of the not provided tables will be set to 0.

  • Destructive

    Workspace delete application

    Deletes an application if the authorized user is in the application's workspace. All the related children are also going to be deleted. For example in case of a database application all the underlying tables, fields, views and rows are going to be deleted.

Automation workflows

  • Read

    Get automation workflow

    Retrieve a single workflow of an automation.

  • Read

    Get automation workflow history

    Retrieve the history for a workflow.

  • Write

    Create automation workflow

    Creates a new Automation Workflow.

  • Write

    Order automation workflows

    Apply a new order to the workflows of an automation.

  • Write

    Update automation workflow

    Updates an existing workflow of an automation.

  • Write

    Duplicate automation workflow async

    Start a job to duplicate the workflow with the provided workflowid parameter if the authorized user has access to the automation's workspace.

  • Write

    Publish automation workflow

    This endpoint starts an asynchronous job to publish the automation workflow. The job clones the current version of the given automation and publishes it for the given workflow.

  • Write

    Test automation workflow

    This endpoint plan the execution of a test run for this workflow.

  • Destructive

    Delete automation workflow

    Deletes an existing workflow of an automation.

Automation nodes

  • Read

    List nodes

    Lists all the nodes of the workflow related to the provided parameter if the user has access to the related automation's workspace. If the workspace is related to a template, then this endpoint will be publicly accessible.

  • Write

    Update automation node

    Updates an existing automation node.

  • Write

    Duplicate automation node

    Duplicate a node of a workflow.

  • Write

    Move automation node

    Move a node in a workflow to a new position.

  • Write

    Replace automation node

    Replace a node in a workflow with one of a new type.

  • Write

    Simulate dispatch automation node

    Simulate a dispatch for a node.

  • Write

    Create automation node

    Creates a new automation workflow node

  • Destructive

    Delete automation node

    Deletes an existing automation node.

Automation history

  • Read

    Get automation node result

    Returns the node history's result JSON.

  • Read

    Get automation node histories

    Returns all node histories for the given workflow history.

  • Destructive

    Cancel automation workflow history

    Requests the cancellation of a running workflow. The run stops before the next node is dispatched; the node currently running is not interrupted. If the run completes before the cancellation takes effect, it resolves as completed.

Builder domains

  • Read

    Get builder domains

    Gets all the domains of a builder

  • Read

    Ask public builder domain exists

    This endpoint can be used to check whether a domain exists for SSL certificate purposes. It's compatible with the Caddy ondemand TLS as described here: https://caddyserver.com/docs/json/apps/tls/automation/ondemand/ask/.

  • Write

    Create builder domain

    Creates a new domain for an application builder

  • Write

    Order builder domains

    Apply a new order to the domains of a builder

  • Write

    Update builder domain

    Updates an existing domain of an application builder

  • Write

    Publish builder domain

    This endpoint starts an asynchronous job to publish the builder. The job clones the current version of the given builder and publish it for the given domain.

  • Destructive

    Delete builder domain

    Deletes an existing domain of an application builder

Builder pages

  • Write

    Create builder page

    Creates a new page for an application builder

  • Write

    Order builder pages

    Apply a new order to the pages of a builder

  • Write

    Update builder page

    Updates an existing page of an application builder

  • Write

    Duplicate builder page async

    Start a job to duplicate the page with the provided pageid parameter if the authorized user has access to the builder's workspace.

  • Destructive

    Delete builder page

    Deletes an existing page of an application builder

Builder theme

  • Write

    Update builder theme

    Updates the theme properties for the provided id.

Builder data sources

  • Read

    Get record names builder page data source

    Find the record names associated with a given list of record ids.

  • Read

    List public builder page data sources

    Lists all the datasources of the page related to the provided parameter if the builder is public.

  • Read

    List builder page data sources

    Lists all the datasources of the page related to the provided parameter if the user has access to the related builder's workspace. If the workspace is related to a template, then this endpoint will be publicly accessible.

  • Write

    Update builder page data source

    Updates an existing builder datasource.

  • Write

    Dispatch builder page data source

    Dispatches the service of the related datasource and returns the result.

  • Write

    Move builder page data source

    Moves the datasource in the page before another datasource or at the end of the page if no before datasource is given. The datasources must belong to the same page.

  • Write

    Dispatch public builder page data source

    Dispatches the service of the related datasource and returns the result.

  • Write

    Dispatch public builder page data sources

    Dispatches the service of the related page datasources

  • Write

    Create builder page data source

    Creates a new builder datasource

  • Write

    Dispatch builder page data sources

    Dispatches the service of the related page datasources

  • Destructive

    Delete builder page data source

    Deletes the datasource related by the given id.

Builder public

  • Read

    Get public builder by id

    Returns the public serialized version of the builder and its pages for the given builder id.

  • Read

    Get public builder by domain name

    Returns the public serialized version of the builder for the given domain name and its pages .

  • Read

    Get public builder custom code

    Returns the css/js for the given builder.

  • Read

    Get public builder custom code 2

    Returns the css/js for the given builder.

  • Read

    Get public builder custom code 3

    Returns the css/js for the given builder.

  • Read

    Get public builder custom code 4

    Returns the css/js for the given builder.

Builder elements

  • Read

    List public builder page elements

    Lists all the elements of the page related to the provided parameter. If the user is Anonymous, the page must belong to a published builder instance to being accessible.

  • Read

    List builder page elements

    Lists all the elements of the page related to the provided parameter if the user has access to the related builder's workspace. If the workspace is related to a template, then this endpoint will be publicly accessible.

  • Write

    Update builder page element

    Updates an existing builder element.

  • Write

    Duplicate builder page element

    Duplicates an element and all of the elements children and the associated workflow actions as well.

  • Write

    Move builder page element

    Moves the element in the page before another element or at the end of the page if no before element is given. The elements must belong to the same page.

  • Write

    Create builder page element

    Creates a new builder element

  • Destructive

    Delete builder page element

    Deletes the element related by the given id.

Builder workflow actions

  • Read

    List public builder page workflow actions

    Lists all the workflow actions with their public accessible data. Some configuration might be omitted for security reasons such as passwords or PII.

  • Read

    List builder page workflow actions

    Lists all the workflow actions of the page related to the provided parameter if the user has access to the related builder's workspace. If the workspace is related to a template, then this endpoint will be publicly accessible.

  • Write

    Create builder page workflow action

    Creates a new builder workflow action

  • Write

    Order builder workflow actions

    Apply a new order to the workflow actions of a page

  • Write

    Update builder page workflow action

    Updates an existing builder workflow action.

  • Write

    Dispatch builder page workflow action

    Dispatches the service of the related workflowaction and returns the result.

  • Destructive

    Delete builder page workflow action

    Deletes the workflow action related by the given id.

Builder preview

  • Read

    Exchange builder preview grant

    Consume the preview pass, set a session cookie, and redirect the browser. Invalid or expired tokens return 404 without creating a cookie. The requested redirect is accepted only when it points to the configured preview website; otherwise a safe preview root URL is used.

  • Write

    Create builder preview grant

    Start the preview process for a logged-in editor. This is the only step that uses the editor's normal account login. It makes sure the editor may read the requested builder before issuing a temporary preview pass.

  • Write

    Exchange builder preview handoff

    Let the preview Nuxt server consume an opaque one-time handoff code.

Dashboard data sources

  • Read

    List dashboard data sources

    Lists all the data sources of the dashboard if the user has access to the related dashboard's workspace.

  • Write

    Update dashboard data source

    Updates an existing dashboard data source.

  • Write

    Dispatch dashboard data source

    Dispatches the service of the related data source and returns the result.

Dashboard widgets

  • Read

    List dashboard widgets

    Lists all the widgets of the dashboard related to the provided parameter if the user has access to the related workspace.

  • Write

    Create dashboard widget

    Creates a new dashboard widget

  • Write

    Update dashboard widget layout

    Atomically updates and vertically compacts the layout of every dashboard widget visible to the current user.

  • Write

    Update dashboard widget

    Updates an existing dashboard widget.

  • Destructive

    Delete dashboard widget

    Deletes the widget related to the given id.

Database tables

  • Read

    Get periodic data sync interval

    Responds with the periodic data sync interval data, if the user has the right permissions. This is an enterprise feature.

  • Read

    Get table data sync

    Responds with the data sync, including the data sync type specific properties, if the user has the right permissions.

  • Read

    Get table data sync properties

    Lists all the available properties of the provided data sync.

  • Read

    Get table data sync type properties

    Lists all the properties of the provided data sync type given the request data. This can be used to choose which properties should be included when creating the data sync. The user must have create table permissions in the database's workspace.

  • Read

    Get database table

    Returns the requested table if the authorized user has access to the related database's workspace.

  • Read

    List all token tables

    This endpoint only works in combination with the token authentication. It lists all the tables that the token has either create, read, update or delete access to.

  • Read

    List database tables

    Lists all the tables that are in the database related to the databaseid parameter if the user has access to the database's workspace. A table is exactly as the name suggests. It can hold multiple fields, each having their own type and multiple rows.

  • Write

    Update periodic data sync interval

    Updates the periodic data sync interval, if the user has the right permissions. This is an enterprise feature.

  • Write

    Update table data sync

    Updates the properties of the provided data sync, if the user has the right permissions. Note that if the syncedproperties is not provided, the available properties change, then the unavailable ones will automatically be removed.

  • Write

    Sync data sync table async

    Start a job to sync the data sync table with the provided datasyncid parameter if the authorized user has access to the database's workspace.

  • Write

    Create database data sync table

    Creates a new data sync table with the given data sync type. This will technically create a table, but it's synchronized with the provided data sync information. This means that some fields related to it will automatically be created and will be read-only.

  • Write

    Update database table

    Updates the existing table if the authorized user has access to the related database's workspace.

  • Write

    Duplicate database table async

    Start a job to duplicate the table with the provided tableid parameter if the authorized user has access to the database's workspace.

  • Write

    Import data database table async

    Import data in the specified table if the authorized user has access to the related database's workspace. This endpoint is asynchronous and return the created job to track the progress of the task.

  • Write

    Create database table

    Creates synchronously a new table for the database related to the provided databaseid parameter if the authorized user has access to the database's workspace. As an alternative you can use the createasyncdatabasetable for better performances and importing bigger files.

  • Write

    Create database table async

    Creates a job that creates a new table for the database related to the provided databaseid parameter if the authorized user has access to the database's workspace. This endpoint is asynchronous and return the created job to track the progress of the task.

  • Write

    Order database tables

    Changes the order of the provided table ids to the matching position that the id has in the list. If the authorized user does not belong to the workspace it will be ignored. The order of the not provided tables will be set to 0.

  • Destructive

    Delete database table

    Deletes the existing table if the authorized user has access to the related database's workspace.

Database table export

  • Read

    Get export job

    Returns information such as export progress and state or the url of the exported file for the specified export job, only if the requesting user has access.

  • Read

    Export table

    Creates and starts a new export job for a table given some exporter options. Returns an error if the requesting user does not have permissionsto view the table.

Field rules

  • Read

    Get field rules

    Get a list of field rules for the table

  • Read

    Get invalid rows

    Get a list of invalid rows

  • Write

    Create field rule

    Create a field rule for a table

  • Destructive

    Update field rule

    Update a specific field rule.

  • Destructive

    Delete field rule

    Delete a field rule.

Database table fields

  • Read

    List database field workflow actions

    Lists all the workflow actions of the button field related to the provided parameter if the user has access to the related database's workspace.

  • Read

    Get database table field

    Returns the existing field if the authorized user has access to the related database's workspace. Depending on the type different properties could be returned.

  • Read

    Get database field unique row values

    Returns a list of all the unique row values for an existing field, sorted in order of frequency.

  • Read

    List database table fields

    Lists all the fields of the table related to the provided parameter if the user has access to the related database's workspace. If the workspace is related to a template, then this endpoint will be publicly accessible.

  • Write

    Create database field workflow action

    Creates a new database workflow action.

  • Write

    Dispatch database field workflow actions

    Runs every workflow action of a button field, in order, for the given row, and returns one result per action. When any action reaches outside Baserow, the click runs in a job instead and the response is a 202 with that job.

  • Write

    Order database field workflow actions

    Apply a new order to the workflow actions of a button field.

  • Write

    Update database table field

    Updates the existing field if the authorized user has access to the related database's workspace. The type can also be changed and depending on that type, different additional properties can optionally be set.

  • Write

    Duplicate table field

    Duplicates the table with the provided tableid parameter if the authorized user has access to the database's workspace.

  • Write

    Generate table ai field value

    Endpoint that's used by the AI field to start an sync task that will update the cell value of the provided row IDs based on the dynamically constructed prompt configured in the field settings. This is a premium feature.

  • Write

    Password field authentication

    Checks if the provided password and row matches what is stored in the cell. The field must have allowendpointauthentication set to true in order to work.

  • Write

    Create database table field

    Creates a new field for the table related to the provided tableid parameter if the authorized user has access to the related database's workspace.

  • Write

    Change primary field

    Changes the primary field of a table to the one provided in the body payload.

  • Write

    Generate formula with ai

    This endpoint generates a Baserow formula for the table related to the provided id, based on the human readable input provided in the request body. This is a premium feature.

  • Write

    Type formula field

    Calculates and returns the type of the specified formula value. Does not change the state of the field in any way.

  • Write

    Update database field workflow action

    Updates an existing database workflow action.

  • Destructive

    Delete database table field

    Deletes the existing field if the authorized user has access to the related database's workspace. Note that all the related data to that field is also deleted. Primary fields cannot be deleted because their value represents the row.

  • Destructive

    Delete database field workflow action

    Deletes the workflow action related by the given id.

Database table rows

  • Read

    List database table row names

    Returns the names of the given row of the given tables. The nameof a row is the primary field value for this row. The result can be usedfor example, when you want to display the name of a linked row from another table.

  • Read

    List database table rows

    Lists all the rows of the table related to the provided parameter if the user has access to the related database's workspace. The response is paginated by a page/size style.

  • Read

    Get database table row

    Fetches an existing row from the table if the user has access to the related table's workspace. The properties of the returned row depend on which fields the table has. For a complete overview of fields use the listdatabasetablefields endpoint to list them all.

  • Read

    Get adjacent database table row

    Fetches the adjacent row to a given rowid in the table with the given tableid. If the previous flag is set it will return the previous row, otherwise it will return the next row. You can specifya viewid and it will apply the filters and sorts of the provided view.

  • Read

    Get database table row history

    Fetches the row change history of a given rowid in the table with the given tableid. The row change history is paginated and can be limited with the limit and offset query parameters.

  • Read

    Get row comments

    Returns all row comments for the specified table and row. This is a premium feature.

  • Write

    Create database table row

    Creates a new row in the table if the user has access to the related table's workspace. The accepted body fields are depending on the fields that the table has. For a complete overview of fields use the listdatabasetablefields to list them all.

  • Write

    Update database table row

    Updates an existing row in the table if the user has access to the related table's workspace. The accepted body fields are depending on the fields that the table has. For a complete overview of fields use the listdatabasetablefields endpoint to list them all.

  • Write

    Move database table row

    Moves the row related to given rowid parameter to another position. It is only possible to move the row before another existing row or to the end. If the beforeid is provided then the row related to the rowid parameter is moved before that row.

  • Write

    Batch create database table rows

    Creates new rows in the table if the user has access to the related table's workspace. The accepted body fields are depending on the fields that the table has. For a complete overview of fields use the listdatabasetablefields to list them all.

  • Write

    Batch update database table rows

    Updates existing rows in the table if the user has access to the related table's workspace. The accepted body fields are depending on the fields that the table has. For a complete overview of fields use the listdatabasetablefields endpoint to list them all.

  • Write

    Batch delete database table rows

    Deletes existing rows in the table if the user has access to the table's workspace. WARNING: This endpoint doesn't yet work with row deleted webhooks.

  • Write

    Create row comment

    Creates a comment on the specified row. This is a premium feature.

  • Write

    Update row comment

    Update a row comment. This is a premium feature.

  • Destructive

    Delete database table row

    Deletes an existing row in the table if the user has access to the table's workspace.

  • Destructive

    Update row comment notification mode

    Updates the user's notification preferences for comments made on a specified table row. This is a premium feature.

  • Destructive

    Delete row comment

    Delete a row comment. This is a premium feature.

Database tokens

  • Read

    List database tokens

    Lists all the database tokens that belong to the authorized user. A token can be used to create, read, update and delete rows in the tables of the token's workspace. It only works on the tables if the token has the correct permissions.

  • Read

    Get database token

    Returns the requested database token if it is owned by the authorized user andif the user has access to the related workspace.

  • Read

    Check database token

    This endpoint check be used to check if the provided personal API token is valid. If returns a 200 response if so and a 403 is not. This can be used by integrations like Zapier or n8n to test if a token is valid.

  • Write

    Create database token

    Creates a new database token for a given workspace and for the authorized user.

  • Write

    Update database token

    Updates the existing database token if it is owned by the authorized user and ifthe user has access to the related workspace.

  • Destructive

    Delete database token

    Deletes the existing database token if it is owned by the authorized user and ifthe user has access to the related workspace.

Database table view export

  • Read

    Export publicly shared view

    Creates and starts a new export job for a publicly shared view given some exporter options. Returns an error if the view doesn't support exporting. This is a premium feature.

  • Read

    Get public view export job

    Returns information such as export progress and state or the url of the exported file for the specified export job, only if the requesting user has access. This is a premium feature.

Database table views

  • Read

    Get public view info

    Returns the required public information to display a single shared view.

  • Read

    Get public view row

    Returns the data for a specific row in a publicly shared view, identified by the view’s slug and the row’s ID.

  • Read

    Get database table view

    Returns the existing view. Depending on the type different properties could be returned.

  • Read

    Get database table view field options

    Responds with the fields options of the provided view if the authenticated user has access to the related workspace.

  • Read

    Calendar ical feed

    Returns ICal feed for a specific Calendar view identified by icalslug value. Calendar View resource contains full url in .icalfeedurl field.

  • Read

    List database table views

    Lists all views of the table related to the provided tableid. If the workspace is related to a template, then this endpoint will be publicly accessible. A table can have multiple views. Each view can display the data in a different way.

  • Write

    Premium view attributes update

    Sets view attributes only available for premium users.

  • Write

    Public view token auth

    Returns a valid never-expiring JWT token for this public shared view if the password provided matches with the one saved by the view's owner.

  • Write

    Update database table view

    Updates the existing view. The type cannot be changed. It depends on the existing type which properties can be changed.

  • Write

    Copy database table view configuration

    Copies the requested configuration categories, the filters or sorts for example, of another view in the same table into this view, replacing this view's existing configuration of those categories. Only categories supported by both view types can be copied.

  • Write

    Update view default values

    Updates the default row values for the specified view. Accepts a list of default value objects, each specifying the field, whether the default is enabled, an optional raw value, and an optional function name (e.g. 'now') for dynamic defaults.

  • Write

    Duplicate database table view

    Duplicates an existing view if the user has access to it. When a view is duplicated everything is copied except: - The name is appended with the copy number.

  • Write

    Update database table view field options

    Updates the field options of a view. The field options differ per field type This could for example be used to update the field width of a grid view if the user changes it.

  • Write

    Rotate database view slug

    Rotates the unique slug of the view by replacing it with a new value. This would mean that the publicly shared URL of the view will change. Anyone with the old URL won't be able to access the viewanymore. Only view types which are sharable can have their slugs rotated.

  • Write

    Rotate calendar view ical feed slug

    Rotates the unique slug of the calendar view's ical feed by replacing it with a new value. This would mean that the publicly shared URL of the view will change. Anyone with the old URL won't be able to access the view anymore.

  • Write

    Create database table view

    Creates a new view for the table related to the provided tableid parameter. Depending on the type, different properties can optionally be set.

  • Write

    Order database table views

    Changes the order of the provided view ids to the matching position that the id has in the list. The order of the not provided views will be set to 0.

  • Destructive

    Delete database table view

    Deletes the existing view. Note that all the related settings of the view are going to be deleted also. The data stays intact after deleting the view because this is related to the table and not the view.

Database table view decorations

  • Read

    List database table view decorations

    Lists all decorations of the view related to the provided viewid if the user has access to the related database's workspace. A view can have multiple decorations. View decorators can be used to decorate rows.

  • Read

    Get database table view decoration

    Returns the existing view decoration if the current user has access to the related database's workspace.

  • Write

    Create database table view decoration

    Creates a new decoration for the view related to the provided viewid parameter if the authorized user has access to the related database's workspace.

  • Write

    Update database table view decoration

    Updates the existing decoration if the authorized user has access to the related database's workspace.

  • Destructive

    Delete database table view decoration

    Deletes the existing decoration if the authorized user has access to the related database's workspace.

Database table view filters

  • Read

    List database table view filters

    Lists all filters of the view related to the provided viewid. A view can have multiple filters. When all the rows are requested for the view only those that apply to the filters are returned.

  • Read

    Get database table view filter group

    Returns the existing view filter group with the given viewfiltergroupid.

  • Read

    Get database table view filter

    Returns the existing view filter.

  • Write

    Create database table view filter group

    Creates a new filter group for the view related to the provided viewid parameter.

  • Write

    Create database table view filter

    Creates a new filter for the view related to the provided viewid parameter. When the rows of a view are requested, for example via the listdatabasetablegridviewrows endpoint, then only the rows that apply to all the filters are going to be returned.

  • Write

    Update database table view filter group

    Updates the existing filter group with the given viewfiltergroupid.

  • Write

    Update database table view filter

    Updates the existing filter.

  • Destructive

    Delete database table view filter group

    Deletes the existing filter group with the given viewfiltergroupid.

  • Destructive

    Delete database table view filter

    Deletes the existing filter if the authorized user has access to the related database's workspace.

Database table view groupings

  • Read

    List database table view groupings

    Lists all groupings of the view related to the provided viewid if the user has access to the related database's workspace. A view can have multiple groupings.

  • Read

    Get database table view group

    Returns the existing view group by if the authorized user has access to the related database's workspace.

  • Write

    Create database table view group

    Creates a new group by for the view related to the provided viewid parameter if the authorized user has access to the related database's workspace.

  • Write

    Prioritize database table view group bys

    Updates the priority of the provided view group by ids to the matching position that the id has in the list. The group by with the lowest position in the list is applied first when ordering rows.

  • Write

    Update database table view group

    Updates the existing group by if the authorized user has access to the related database's workspace.

  • Destructive

    Delete database table view group

    Deletes the existing group by if the authorized user has access to the related database's workspace.

Database table view sortings

  • Read

    List database table view sortings

    Lists all sortings of the view related to the provided viewid if the user has access to the related database's workspace. A view can have multiple sortings. When all the rows are requested they will be in the desired order.

  • Read

    Get database table view sort

    Returns the existing view sort if the authorized user has access to the related database's workspace.

  • Write

    Create database table view sort

    Creates a new sort for the view related to the provided viewid parameter if the authorized user has access to the related database's workspace.

  • Write

    Prioritize database table view sortings

    Updates the priority of the sorts to match the order of the given IDs. Sorts earlier in the list are applied first.

  • Write

    Update database table view sort

    Updates the existing sort if the authorized user has access to the related database's workspace.

  • Destructive

    Delete database table view sort

    Deletes the existing sort if the authorized user has access to the related database's workspace.

Database table calendar view

  • Read

    Public list database table calendar view rows

    Responds with serialized rows grouped by the view's date field options related to the slug if the calendar view is publicly shared. Additional query parameters can be provided to control the limit and offset per select option. This is a premium feature.

  • Read

    List database table calendar view rows

    Responds with serialized rows grouped by date regarding view's date fieldif the user is authenticated and has access to the related workspace. This is a premium feature.

Database table form view

  • Read

    Get edit row database table form view

    Returns the current field values of the row identified by the edit token. Only fields visible in the form view are returned. The token must be a valid signed token generated by a formvieweditrow field.

  • Read

    Get meta database table form view

    Returns the metadata related to the form view if the form is publicly shared or if the user has access to the related workspace. This data can be used to construct a form with the right fields.

  • Write

    Update edit row database table form view

    Updates the row identified by the edit token using the submitted field values. Only fields that are visible in the form view can be changed. The rowtoken must be a valid signed token generated by a formvieweditrow field.

  • Write

    Submit database table form view

    Submits the form if the form is publicly shared or if the user has access to the related workspace. The provided data will be validated based on the fields that are in the form and the rules per field. If valid, a new row will be created in the table.

  • Write

    Upload file form view

    Uploads a file anonymously to Baserow by uploading the file contents directly. A file multipart is expected containing the file contents.

Database table gallery view

Database table grid view

  • Read

    Get database table public grid view field aggregations

    Returns all field aggregations values previously defined for this grid view. If filters exist for this view, the aggregations are computed only on filtered rows.

  • Read

    Get database table public grid view group by data

    GET /api/database/views/grid/{slug}/public/group-by-data/

  • Read

    Public list database table grid view rows

    Lists the requested rows of the view's table related to the provided slug if the grid view is public.The response is paginated either by a limit/offset or page/size style. The style depends on the provided GET parameters.

  • Read

    List database table grid view rows

    Lists the requested rows of the view's table related to the provided viewid if the authorized user has access to the database's workspace. The response is paginated either by a limit/offset or page/size style. The style depends on the provided GET parameters.

  • Read

    Get database table grid view field aggregation

    Computes the aggregation of all the values for a specified field from the selected grid view. You must select the aggregation type by setting the type GET parameter. If filters are configured for the selected view, the aggregation is calculated only on filtered rows.

  • Read

    Get database table grid view field aggregations

    Returns all field aggregations values previously defined for this grid view. If filters exist for this view, the aggregations are computed only on filtered rows.You need to have read permissions on the view to request aggregations.

  • Read

    Get database table grid view group by data

    GET /api/database/views/grid/{view_id}/group-by-data/

  • Write

    Filter database table grid view rows

    Lists only the rows and fields that match the request. Only the rows with the ids that are in the rowids list are going to be returned. Same goes for the fields, only the fields with the ids in the fieldids are going to be returned.

Database table kanban view

  • Read

    Public list database table kanban view rows

    Responds with serialized rows grouped by the view's single select field options related to the slug if the kanban view is publicly shared. Additional query parameters can be provided to control the limit and offset per select option. This is a premium feature.

  • Read

    List database table kanban view rows

    Responds with serialized rows grouped by the view's single select field options if the user is authenticated and has access to the related workspace. Additional query parameters can be provided to control the limit and offset per select option. This is a premium feature.

Database table timeline view

  • Read

    Public list database table timeline view rows

    Lists the requested rows of the view's table related to the provided slug if the timeline view is public.The response is paginated either by a limit/offset or page/size style. The style depends on the provided GET parameters.

  • Read

    List database table timeline view rows

    Lists the requested rows of the view's table related to the provided viewid if the authorized user has access to the database's workspace. The response is paginated either by a limit/offset or page/size style. The style depends on the provided GET parameters.

Database table webhooks

  • Read

    Get database table webhook

    Returns the existing webhook if the authorized user has access to the related database workspace.

  • Read

    List database table webhooks

    Lists all webhooks of the table related to the provided tableid if the user has access to the related database workspace.

  • Write

    Update database table webhook

    Updates the existing view if the authorized user has access to the related database workspace.

  • Write

    Create database table webhook

    Creates a new webhook for the table related to the provided tableid parameter if the authorized user has access to the related database workspace.

  • Write

    Test call database table webhook

    This endpoint triggers a test call based on the provided data if the user has access to the workspace related to the table. The test call will be made immediately and a copy of the request, response and status will be included in the response.

  • Destructive

    Delete database table webhook

    Deletes the existing webhook if the authorized user has access to the related database's workspace.

Field permissions

  • Read

    Get field permissions

    Retrieve the permissions for writing field values and form visibility of a specific field. This is a enterprise feature.

  • Read

    List field permission subject options

    Searches users, agents, and teams that can be selected for a field-specific permission. Results are paginated and exclude the requested subjects. This is an enterprise feature.

  • Write

    Update field permissions

    Update permissions for writing field values and form visibility for a specific field. This endpoint is used to restrict the ability to modify field values to the roles defined. It also makes it possible to decide if the field can be exposed in forms or not.

Secure file serve

  • Read

    Secure file serve download

    Downloads a file using the backend and the secure file serve feature. The signed data is extracted from the URL and used to verify if the user has access to the file. If the permissions check passes and the file exists, the file is served to the user.

Inbound email

  • Write

    Handle inbound email webhook

    Receives and handles an inbound email webhook request from the inbound mail server.

Jobs

  • Read

    List job

    List all existing jobs. Jobs are task executed asynchronously in the background. You can use the getjob endpoint to read the current progress of the job. The available query parameters depend on the job type selected via the type parameter.

  • Read

    Get job

    Returns the information related to the provided job id. This endpoint can for example be polled to get the state and progress of the job in real time.

  • Write

    Create job

    Creates a new job. This job runs asynchronously in the background and execute the task specific to the provided typeparameters. The getjob can be used to get the current state of the job.

  • Destructive

    Cancel job

    Cancels a job. Note: you can cancel only a scheduled or a job that is already running. The user requesting must be the owner of the job to cancel.

Last viewed

  • Read

    List last viewed items

    Lists the views, application pages, dashboards and automation workflows the authenticated user opened most recently, newest first. Only items the user can still access are returned.

MCP endpoints

  • Read

    Get mcp endpoint

    Returns the requested MCP endpoint if the authorized user has access to it.

  • Read

    List mcp endpoints

    Lists all the MCP (Model Context Protocol) endpoints of a user. These canbe used to directly integrate with an LLM like Claude, and let the LLM perform actions directly in Baserow. Treat your MCP URL like a password,as it has the ability to modify data in Baserow.

  • Write

    Update mcp endpoint

    Updates the MCP endpoint if the authorized user has access to it.

  • Write

    Create mcp endpoint

    Creates a new MCP endpoint for a given workspace. The endpoint can be used for an MCP integration.

  • Destructive

    Delete mcp endpoint

    Deletes an MCP endpoint if the authorized user has access to it.

Api

  • Read

    Api mcp oauth connections retrieve

    Lists the OAuth clients the user granted access to, one per grant endpoint, with the URL MCP clients connect to.

  • Destructive

    Api mcp oauth connections destroy

    DELETE /api/mcp/oauth/connections/{connection_id}/

Notifications

  • Read

    List workspace notifications

    Lists the notifications for the given workspace and the current user. The response is paginated and the limit and offset parameters can be controlled using the query parameters.

  • Write

    Mark notification as read

    Marks a notification as read.

  • Write

    Mark all workspace notifications as read

    Mark as read all the notifications for the given workspace and user.

  • Destructive

    Clear workspace notifications

    Clear all the notifications for the given workspace and user.

Role assignments

  • Read

    List role assignments

    You can list the role assignments within a workspace, optionally filtered downto a specific scope inside of that workspace. If the scope isn't specified,the workspace will be considered the scope.

  • Write

    Assign role

    You can assign a role to a subject into the given workspace for the given scope with this endpoint. If you want to remove the role you can omit the role property.

  • Write

    Batch assign role

    You can assign a role to a multiple subjects into the given workspace for the given scopes with this endpoint. If you want to remove the role you can omit the role property.

Search

Settings

  • Read

    Get settings

    Responds with all the admin configured settings.

  • Read

    Get instance id

    Responds with the self hosted instance id. Only a user with staff permissions can request it.

  • Write

    Update settings

    Updates the admin configured settings if the user has admin permissions.

Snapshots

  • Read

    List snapshots

    Lists snapshots that were created for a given application.

  • Write

    Restore snapshot

    Restores a snapshot. When an application snapshot is restored, a new application will be created in the same workspace that the original application was placed in with the name of the snapshot and data that were in the original application at the time the snapshot was taken.

  • Write

    Create snapshot

    Creates a new application snapshot. Snapshots represent a state of an application at a specific point in time and can be restored later, making it easy to create backups of entire applications.

  • Destructive

    Delete snapshot

    Deletes a snapshot. Deleting a snapshot doesn't affect the application that the snapshot is made from and doesn't affect any applications that were created by restoring it. Snapshot deletion is permanent and can't be undone.

Subjects

  • Read

    List subject options

    Returns searchable options supplied by registered subject types.

Teams

  • Read

    Get team

    Returns the information related to the provided team id.

  • Read

    List team subjects

    Lists all team subjects in a given team.

  • Read

    Get subject

    Returns the information related to the provided subject id

  • Read

    Workspace list teams

    Lists all teams in a given workspace.

  • Write

    Create subject

    Creates a new team subject.

  • Write

    Workspace create team

    Creates a new team.

  • Destructive

    Update team

    Updates an existing team with a new name.

  • Destructive

    Delete team

    Deletes a team if the authorized user is in the team's workspace. All the related children (e.g. subjects) are also going to be deleted.

  • Destructive

    Delete subject

    Deletes a subject if the authorized user is in the team's workspace.

Templates

  • Read

    List templates

    Lists all the template categories and the related templates that are in that category. The template's workspaceid can be used for previewing purposes because that workspace contains the applications that are in the template.

  • Write

    Install template

    (Deprecated) Installs the applications of the given template into the given workspace if the user has access to that workspace. The response contains those newly created applications.

  • Write

    Install template async

    Start an async job to install the applications of the given template into the given workspace if the user has access to that workspace. The response contains those newly created applications.

Trash

  • Read

    Get trash structure

    Responds with the workspaces and applications available for the requesting user to inspect the trash contents of.

  • Read

    Workspace get contents

    Responds with trash contents for a workspace optionally filtered to a specific application.

  • Write

    Restore

    Restores the specified trashed item back into baserow.

  • Destructive

    Workspace empty contents

    Empties the specified workspace and/or application of trash, including the workspace and application themselves if they are trashed also.

User

  • Read

    Dashboard

    Lists all the relevant user information that for example could be shown on a dashboard. It will contain all the pending workspace invitations for that user.

  • Write

    Create user

    Creates a new user based on the provided values. If desired an authentication JWT can be generated right away. After creating an account the initial workspace containing a database is created.

  • Write

    Update account

    Updates the account information of the authenticated user.

  • Write

    Change email

    Changes the email address of a user if the confirmation token is valid. The sendchangeemailconfirmation endpoint sends an email to the new address containing the token. That token can be used to change the email address here.

  • Write

    Change password

    Changes the password of an authenticated user, but only if the old password matches.

  • Write

    Update user preferences

    Changes one or more preferences of the authenticated user, such as the default sort order of a listing page. Preferences that are not provided keep their value. Responds with all preferences.

  • Write

    Redo

    Redoes the latest redoable action performed by the user making the request.

  • Write

    Reset password

    Changes the password of a user if the reset token is valid. The sendpasswordresetemail endpoint sends an email to the user containing the token. That token can be used to change the password here without providing the old password.

  • Write

    Schedule account deletion

    Schedules the account deletion of the authenticated user. The user will be permanently deleted after the grace delay defined by the instance administrator.

  • Write

    Send change email confirmation

    Sends an email to the new email address containing a confirmation link. The user must provide their current password to initiate this request. The link is going to be valid for 12 hours.

  • Write

    Send password reset email

    Sends an email containing the password reset link to the email address of the user. This will only be done if a user is found with the given email address. The endpoint will not fail if the email address is not found. The link is going to the valid for 2 hours.

  • Write

    Send verify email

    Sends an email to the user with an email verification link if the user's email is not verified yet.

  • Write

    Token auth

    Authenticates an existing user based on their email and their password. If successful, an access token and a refresh token will be returned. If the account is protected with two-factor authentication, temporary token is returned to finish the verification.

  • Write

    Token blacklist

    Blacklists the provided token. This can be used the sign the user off.

  • Write

    Token refresh

    Generate a new accesstoken that can be used to continue operating on Baserow starting from a valid refresh token.

  • Write

    Token verify

    Verifies if the refresh token is valid and can be used to generate a new accesstoken.

  • Write

    Undo

    undoes the latest undoable action performed by the user making the request.

  • Write

    Verify email

    Passing the correct verification token will confirm that the user's email address belongs to the user.

User files

  • Write

    Upload file

    Uploads a file to Baserow by uploading the file contents directly. A file multipart is expected containing the file contents.

  • Write

    Upload via url

    Uploads a file to Baserow by downloading it from the provided URL.

Core webhooks

  • Read

    Handle core webhook request get

    Receives and handles a webhook request.

  • Write

    Handle core webhook request post

    Receives and handles a webhook request.

  • Write

    Handle core webhook request patch

    Receives and handles a webhook request.

  • Destructive

    Handle core webhook request put

    Receives and handles a webhook request.

  • Destructive

    Handle core webhook request delete

    Receives and handles a webhook request.

Workspaces

  • Read

    List workspaces

    Lists all the workspaces of the authorized user. A workspace can contain multiple applications like a database. Multiple users can have access to a workspace. For example each company could have their own workspace containing databases related to that company.

  • Read

    List workspace exports

    Lists exports that were created for given workspace.

  • Read

    Export workspace applications async

    Export workspace or set of applications application if the authorized user is in the application's workspace. All the related children are also going to be exported.

  • Read

    Workspace permissions

    Returns a the permission data necessary to determine the permissions of a specific user over a specific workspace. See core.handler.CoreHandler.getpermissions() for more details.

  • Read

    List workspace users

    Lists all the users that are in a workspace if the authorized user has admin permissions to the related workspace. To add a user to a workspace an invitation must be sent first.

  • Write

    Create workspace

    Creates a new workspace where only the authorized user has access to. No initial data like database applications are added, they have to be created via other endpoints.

  • Write

    Update workspace

    Updates the existing workspace related to the provided workspaceid parameter if the authorized user belongs to the workspace. It is not yet possible to add additional users to a workspace.

  • Write

    Import workspace applications async

    Import a set of applications included in a given resource if the authorized user is in the specified workspace. This endpoint requires a valid resourceid of the uploaded file.

  • Write

    Import resource upload file

    Uploads an exported workspace or a set of applications if the authorized user is in the workspace. The uploaded file must be a valid ZIP file containing the applications' data for future import.

  • Write

    Leave workspace

    Makes the authenticated user leave the workspace related to the provided workspaceid if the user is in that workspace. If the user is the last admin in the workspace, they will not be able to leave it.

  • Write

    Create initial workspace

    Creates an initial workspace. This is typically called after the user signs up and skips the onboarding in the frontend. It contains some example data.

  • Write

    Order workspaces

    Changes the order of the provided workspace ids to the matching position that the id has in the list. If the authorized user does not belong to the workspace it will be ignored. The order will be custom for each user.

  • Write

    Update workspace user

    Updates the existing workspace user related to the provided workspaceuserid param if the authorized user has admin rights to the related workspace.

  • Destructive

    Delete workspace

    Deletes an existing workspace if the authorized user belongs to the workspace. All the applications, databases, tables etc that were in the workspace are going to be deleted also.

  • Destructive

    Import export resource

    Delete a resource. This endpoint mark as ready for deletion the specified resource. This operation is not undoable. The user must be the owner of the resource to perform this action.

  • Destructive

    Delete workspace user

    Deletes a workspace user if the authorized user has admin rights to the related workspace.

Workspace invitations

  • Read

    Get workspace invitation

    Returns the requested workspace invitation if the authorized user has admin right to the related workspace

  • Read

    Get workspace invitation by token

    Responds with the serialized workspace invitation if an invitation with the provided token is found.

  • Read

    List workspace invitations

    Lists all the workspace invitations of the workspace related to the provided workspaceid parameter if the authorized user has admin rights to that workspace.

  • Write

    Update workspace invitation

    Updates the existing workspace invitation related to the provided workspaceinvitationid param if the authorized user has admin rights to the related workspace.

  • Write

    Accept workspace invitation

    Accepts a workspace invitation with the given id if the email address of the user matches that of the invitation.

  • Write

    Reject workspace invitation

    Rejects a workspace invitation with the given id if the email address of the user matches that of the invitation.

  • Write

    Create workspace invitation

    Creates a new workspace invitations for an email address if the authorized user has admin rights to the related workspace. An email containing a sign up link will be send to the user.

  • Destructive

    Delete workspace invitation

    Deletes a workspace invitation if the authorized user has admin rights to the related workspace.

AI Assistant

  • Read

    List assistant chats

    List all AI assistant chats for the current user in the specified workspace.

  • Read

    List assistant chat messages

    List all messages in the specified AI assistant chat.

  • Read

    List assistant chat messages 2

    List all messages in the specified AI assistant chat.

  • Read

    Get assistant onboarding prompt suggestions

    Suggests databases the user could create during the onboarding, based on the industry and team they provided. The first suggestion is the most relevant one.

  • Write

    Send message to assistant chat

    Send a message to the specified AI assistant chat and stream back the response.

  • Write

    Send message to assistant chat 2

    Send a message to the specified AI assistant chat and stream back the response.

  • Destructive

    Cancel assistant message

    Cancel an ongoing assistant message generation in the specified chat.

  • Destructive

    Cancel assistant message 2

    Cancel an ongoing assistant message generation in the specified chat.

  • Destructive

    Submit assistant message feedback

    Provide sentiment and feedback for the given AI assistant chat message.

See How connections work for access and permissions, or browse all integrations.